#!/bin/bash

getAlleleSeq_1 connect_exon_70bp.fasta $1_first_retain_allele.txt $1_first_retain_allele.fasta;
bowtie-build $1_first_retain_allele.fasta $1_first_retain_allele;
bowtie -S -a -p 20 --solexa-quals -v 0 $1_first_retain_allele $1_de_duplication.fq $1_first_retain_allele.sam;
awk '{if(substr($1,1,1)!="@" && $3!="*") print $3"\t"$4"\t"$6}' $1_first_retain_allele.sam | sort -k1 | uniq -c > $1_first_retain_allele_position_count.txt;
countNum connect_exon_70bp.fasta $1_first_retain_allele.txt $1_first_retain_allele_position_count.txt cigar.txt $1_position-array.txt;
rm -rf *.ebwt *.sam $1_first_retain_allele.fasta $1_first_retain_allele.txt $1_first_retain_allele_position_count.txt;


